#Fri Mar 26 21:51:11 CET 2010
useQuickDiffPrefPage=true
useAnnotationsPrefPage=true
spelling_locale=en_GB
sourceHoverBackgroundColor=255,255,225
editor_folding_preprocessor_enabled=true
org.eclipse.cdt.ui.text.templates.format=true
editor_folding_enabled=true
spelling_locale_initialized=true
eclipse.preferences.version=1
org.eclipse.cdt.ui.text.templates.custom=<?xml version\="1.0" encoding\="UTF-8" standalone\="no"?><templates><template autoinsert\="true" context\="org.eclipse.cdt.ui.text.templates.c" deleted\="false" description\="comment of function" enabled\="true" name\="comment_function">/*&\#13;\r\n **\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=&\#13;\r\n ** Function\: ${enclosing_method}&\#13;\r\n ** Arguments\: ${enclosing_method_arguments}&\#13;\r\n ** Return\:  ${return_type}&\#13;\r\n ** Comment\: ${cursor}\r\n **\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=\=&\#13;\r\n */&\#13;\r\n\t${line_selection}&\#13;\r\n/*--END OF FUNCTION\: ${enclosing_method}-----------------------------------------------------*/&\#13;\r\n</template><template autoinsert\="true" context\="org.eclipse.cdt.ui.text.templates.c" deleted\="false" description\="comment_block" enabled\="true" name\="comment_block">/****START OF BLOCK\: ${block}*****************************************/&\#13;\r\n\t${line_selection}&\#13;\r\n//----END OF BLOCK\: ${block}------------------------------------------\r\n</template><template autoinsert\="true" context\="org.eclipse.cdt.ui.text.templates.c" deleted\="false" description\="comment line" enabled\="true" name\="comment line">/* ${cursor} */</template><template autoinsert\="true" context\="org.eclipse.cdt.ui.text.templates.c" deleted\="false" description\="mutex take and give" enabled\="true" name\="mutex_take_give">/**TAKE MUTEX\: ${MUTEX}**********************************************************************/&\#13;\r\nxSemaphoreTake(${MUTEX},port_Delay);&\#13;\r\n{&\#13;\r\n\t${line_selection}&\#13;\r\n}&\#13;\r\nxSemaphoreGive(${MUTEX});&\#13;\r\n/**GIVE MUTEX\: ${MUTEX}**********************************************************************/</template><template autoinsert\="true" context\="org.eclipse.cdt.ui.text.templates.c" deleted\="false" description\="dorobyt" enabled\="true" name\="todo">/*&\#13;\r\n **&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;&gt;${date} ${time}&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&lt;&\#13;\r\n ** ${todo}\:${cursor}  &\#13;\r\n **----------------------------------------------------------------------------------&\#13;\r\n*/</template></templates>
editor_folding_statements=true
hoverModifierMasks=org.eclipse.cdt.ui.BestMatchHover;0;org.eclipse.cdt.debug.internal.ui.editors.DebugTextHover;0;org.eclipse.cdt.ui.ProblemHover;0;org.eclipse.cdt.ui.CDocHover;0;org.eclipse.cdt.ui.CMacroExpansionHover;0;org.eclipse.cdt.ui.CSourceHover;131072;org.eclipse.cdt.ui.AnnotationHover;0;
hoverModifiers=org.eclipse.cdt.ui.BestMatchHover;0;org.eclipse.cdt.debug.internal.ui.editors.DebugTextHover;\!0;org.eclipse.cdt.ui.ProblemHover;\!0;org.eclipse.cdt.ui.CDocHover;\!0;org.eclipse.cdt.ui.CMacroExpansionHover;\!0;org.eclipse.cdt.ui.CSourceHover;Shift;org.eclipse.cdt.ui.AnnotationHover;\!0;
